Isi
Indeks 🔎︎

# Pernyataan Select...Case

Menentukan satu atau lebih blok pernyataan tergantung pada nilai ekspresi.

## Sintaksis:

    Pilih kondisi Case ekspresi Case Pernyataan Blok [Case expression2 Blok Pernyataan] [Case Else] Blok Pernyataan End Select

## Parameter:

Pada kondisi: Ekspresi apa pun dikendalikan jika blok pernyataan yang mengikuti masing-masing pasal telah dieksekusi.

Tanda: Tanda apa pun yang sesuai dengan Tanda tipe kondisi. Blok pernyataan yang mengikuti klausa kasus dijalankan jika Kondisi cocok dengan Tanda.

## Contoh:

    Sub ExampleRandomSelect
    Dim iVar As Integer
        iVar = Int((15 * Rnd) -2)
        Select Case iVar
            Case 1 To 5
                Print "Angka dari 1 sampai 5"
            Case 6, 7, 8
                Print "Angka dari 6 sampai 8"
            Case 8 To 10
                Print "Lebih besar dari 8"
            Case Else
                Print "Di luar jangkauan 1 sampai 10"
        End Select
    End Sub